## org.apache.tools.ant.taskdefs.optional.ssh
Class ScpFromMessage

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.ssh.AbstractSshMessage
            |
            +--org.apache.tools.ant.taskdefs.optional.ssh.ScpFromMessage

public class ScpFromMessage
extends AbstractSshMessage

Constructor Summary
`ScpFromMessage(com.jcraft.jsch.Session session, java.lang.String aRemoteFile, java.io.File aLocalFile, boolean recursive)`

Method Summary
`void` `execute()`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.ssh.AbstractSshMessage
`log, logStats, openExecChannel, sendAck, setLogListener, waitForAck`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScpFromMessage

    public ScpFromMessage(com.jcraft.jsch.Session session,
                          java.lang.String aRemoteFile,
                          java.io.File aLocalFile,
                          boolean recursive)

Method Detail

### execute

    public void execute()
                 throws java.io.IOException,
                        com.jcraft.jsch.JSchException

  Specified by:
    `execute` in class `AbstractSshMessage`
    `java.io.IOException`
    `com.jcraft.jsch.JSchException`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.